LinkType Struct Reference

`#include <GTGOTF2_Structs.h>`

## Data Fields

struct __OTF2_String | name
struct __OTF2_String | alias
ContainerType_t * | contType
ContainerType_t * | srcType
ContainerType_t * | destType
otf2_id_t | id
struct gtg_list | token
char * | name
char * | alias
int | contType
int | srcType
int | destType
int | id

## Detailed Description

Links/Messages

## Field Documentation

char* LinkType::alias

struct __OTF2_String LinkType::alias

int LinkType::contType

ContainerType_t* LinkType::contType

int LinkType::destType

ContainerType_t* LinkType::destType

int LinkType::id

otf2_id_t LinkType::id

char* LinkType::name

struct __OTF2_String LinkType::name

int LinkType::srcType

ContainerType_t* LinkType::srcType

struct gtg_list LinkType::token

The documentation for this struct was generated from the following files:

- GTGOTF2_Structs.h
- GTGOTF_Structs.h